package com.wd.workoffice.bean.mesBean;

import com.alibaba.fastjson.annotation.JSONField;
import com.wd.workoffice.app.BaseMesPageBean;

import java.util.List;

/**
 * author : flexible
 * email : lgd19940421@163.com
 * github: https://github.com/FlexibleXd
 **/
public class WorkTaskBean extends BaseMesPageBean {

        private List<ListBean> list;


        public List<ListBean> getList() {
            return list;
        }

        public void setList(List<ListBean> list) {
            this.list = list;
        }

        public static class ListBean {
            /**
             * id : 42ddf9651f3f4507a191605536648e44
             * createDateTime : null
             * updateDateTime : null
             * actNum : RW00001
             * description : 1
             * status : 5
             * woId : 570f78e7e1cb11ea8334fa163e1166bd
             * assetId : null
             * locationId : null
             * schedStart : null
             * schedFinish : null
             * actStart : null
             * actFinish : null
             * earliestStartTime : null
             * latestCompTime : null
             * time : 1
             * siteId : null
             * remark : null
             * createBy : null
             * changeBy : null
             * delete : false
             * userName : null
             * userCode : null
             * craftCode : null
             * craftName : null
             * skillCode : null
             * skillName : null
             * astAsset : null
             * locations : null
             */

            private String id;
            private String createDateTime;
            private String updateDateTime;
            private String actNum;
            private String description;
            private int status;
            private String woId;
            private String assetId;
            private String locationId;
            private String schedStart;
            private String schedFinish;
            private String actStart;
            private String actFinish;
            private String earliestStartTime;
            private String latestCompTime;
            private int time;
            private String siteId;
            private String remark;
            private String createBy;
            private String changeBy;
            private boolean delete;
            private String userName;
            private String userCode;
            private String craftCode;
            private String craftName;
            private String skillCode;
            private String skillName;
            private String astAsset;
            private String locations;
            private String craftId;
            private String userId;

            public String getUserId() {
                return userId;
            }

            public void setUserId(String userId) {
                this.userId = userId;
            }

            public String getCraftId() {
                return craftId;
            }

            public void setCraftId(String craftId) {
                this.craftId = craftId;
            }

            public String getId() {
                return id;
            }

            public void setId(String id) {
                this.id = id;
            }

            public String getCreateDateTime() {
                return createDateTime;
            }

            public void setCreateDateTime(String createDateTime) {
                this.createDateTime = createDateTime;
            }

            public String getUpdateDateTime() {
                return updateDateTime;
            }

            public void setUpdateDateTime(String updateDateTime) {
                this.updateDateTime = updateDateTime;
            }

            public String getActNum() {
                return actNum;
            }

            public void setActNum(String actNum) {
                this.actNum = actNum;
            }

            public String getDescription() {
                return description;
            }

            public void setDescription(String description) {
                this.description = description;
            }

            public int getStatus() {
                return status;
            }

            public void setStatus(int status) {
                this.status = status;
            }

            public String getWoId() {
                return woId;
            }

            public void setWoId(String woId) {
                this.woId = woId;
            }

            public String getAssetId() {
                return assetId;
            }

            public void setAssetId(String assetId) {
                this.assetId = assetId;
            }

            public String getLocationId() {
                return locationId;
            }

            public void setLocationId(String locationId) {
                this.locationId = locationId;
            }

            public String getSchedStart() {
                return schedStart;
            }

            public void setSchedStart(String schedStart) {
                this.schedStart = schedStart;
            }

            public String getSchedFinish() {
                return schedFinish;
            }

            public void setSchedFinish(String schedFinish) {
                this.schedFinish = schedFinish;
            }

            public String getActStart() {
                return actStart;
            }

            public void setActStart(String actStart) {
                this.actStart = actStart;
            }

            public String getActFinish() {
                return actFinish;
            }

            public void setActFinish(String actFinish) {
                this.actFinish = actFinish;
            }

            public String getEarliestStartTime() {
                return earliestStartTime;
            }

            public void setEarliestStartTime(String earliestStartTime) {
                this.earliestStartTime = earliestStartTime;
            }

            public String getLatestCompTime() {
                return latestCompTime;
            }

            public void setLatestCompTime(String latestCompTime) {
                this.latestCompTime = latestCompTime;
            }

            public int getTime() {
                return time;
            }

            public void setTime(int time) {
                this.time = time;
            }

            public String getSiteId() {
                return siteId;
            }

            public void setSiteId(String siteId) {
                this.siteId = siteId;
            }

            public String getRemark() {
                return remark;
            }

            public void setRemark(String remark) {
                this.remark = remark;
            }

            public String getCreateBy() {
                return createBy;
            }

            public void setCreateBy(String createBy) {
                this.createBy = createBy;
            }

            public String getChangeBy() {
                return changeBy;
            }

            public void setChangeBy(String changeBy) {
                this.changeBy = changeBy;
            }

            public boolean isDelete() {
                return delete;
            }

            public void setDelete(boolean delete) {
                this.delete = delete;
            }

            public String getUserName() {
                return userName;
            }

            public void setUserName(String userName) {
                this.userName = userName;
            }

            public String getUserCode() {
                return userCode;
            }

            public void setUserCode(String userCode) {
                this.userCode = userCode;
            }

            public String getCraftCode() {
                return craftCode;
            }

            public void setCraftCode(String craftCode) {
                this.craftCode = craftCode;
            }

            public String getCraftName() {
                return craftName;
            }

            public void setCraftName(String craftName) {
                this.craftName = craftName;
            }

            public String getSkillCode() {
                return skillCode;
            }

            public void setSkillCode(String skillCode) {
                this.skillCode = skillCode;
            }

            public String getSkillName() {
                return skillName;
            }

            public void setSkillName(String skillName) {
                this.skillName = skillName;
            }

            public String getAstAsset() {
                return astAsset;
            }

            public void setAstAsset(String astAsset) {
                this.astAsset = astAsset;
            }

            public String getLocations() {
                return locations;
            }

            public void setLocations(String locations) {
                this.locations = locations;
            }
        }
}
